package cn.com.qmth.examcloud.ws.core;

import java.util.Map;

import javax.websocket.Session;

import com.google.common.collect.Maps;

/**
 * websocket session管理
 *
 * @author WANGWEI
 * @date 2019年11月22日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public class SessionHolder {

	private static Map<String, Session> sesesionMap = Maps.newConcurrentMap();

	public static Session get(String key) {
		Session session = sesesionMap.get(key);
		return session;
	}

	public static void set(String key, Session session) {
		sesesionMap.put(key, session);
	}

	public static void del(String key) {
		Session session = sesesionMap.get(key);
		if (null == session) {
			return;
		}
		session = null;
		sesesionMap.remove(key);
	}

}
