package cn.com.qmth.examcloud.ws.core;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;

/**
 * websocket 客户端消息
 *
 * @author WANGWEI
 * @date 2019年11月22日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public class WsMessage implements JsonSerializable {

	private static final long serialVersionUID = 1903102898393732443L;

	private String key;

	private String token;

	private String eventType;

	private String eventId;

	private Object content;

	public String getKey() {
		return key;
	}

	public void setKey(String key) {
		this.key = key;
	}

	public String getToken() {
		return token;
	}

	public void setToken(String token) {
		this.token = token;
	}

	public String getEventType() {
		return eventType;
	}

	public void setEventType(String eventType) {
		this.eventType = eventType;
	}

	public String getEventId() {
		return eventId;
	}

	public void setEventId(String eventId) {
		this.eventId = eventId;
	}

	public Object getContent() {
		return content;
	}

	public void setContent(Object content) {
		this.content = content;
	}

}
